> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Archives or unarchives the user.

POST https://api.awork.com/api/v1/users/{userId}/setarchived
Content-Type: application/json

Archives or unarchives the user. Archived objects can not be used any longer but still exist for being referenced by other entities.The user must be an admin or have `project-manage-config:write` permissions.

Reference: https://developers.awork.com/apiv1/users/post-user-set-archived-by-user-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `userId` (string, required) — The id of the user.

### Body (application/json)

This endpoint expects an ArchivedForm.

- `isArchived` (boolean, optional) — Flags the entity as archived.

## Response

### 200

OK

- `firstName` (string, optional, nullable) — The firstname of the user.
- `lastName` (string, optional, nullable) — The lastname of the user.
- `birthDate` (string, optional, nullable) — The birthdate of the user.
- `gender` (string, optional, nullable) — The gender of the user.
- `title` (string, optional, nullable) — The title of the user.
- `position` (string, optional, nullable) — The position of the user.
- `language` (string, optional, nullable) — The language preference of the user in ISO 639-1 format.
- `id` (string, optional) — The id of the user.
- `status` (UserStatus, optional) — The status of the user.
- `createdOn` (string, optional) — The date this user was created.
- `createdBy` (string, optional) — The id of the user who created this user.
- `updatedOn` (string, optional) — The date when this user was last updated.
- `updatedBy` (string, optional) — The id of the user who updated the entity.
- `isArchived` (boolean, optional) — Whether this user is archived. Archived users are automatically inactive and only exist for reference purposes.
- `isDeactivated` (boolean, optional) — Whether the user has been deactivated.
- `deactivatedOn` (string, optional, nullable) — The date the user was deactivated.
- `deletedOn` (string, optional, nullable) — The date the user was deleted (soft delete).
- `hasImage` (boolean, optional) — Whether the user has uploaded a profile image.
- `shouldMigrateToConnect` (boolean, optional) — Whether the user should be migrated to Connect.
- `userContactInfos` (list of ContactInfo, optional, nullable) — The contact information assigned to this user.
- `resourceVersion` (long, optional) — The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.
- `tags` (list of UserTagModel, optional, nullable) — The tags of this user.
- `teams` (list of TeamModel, optional, nullable) — The teams the user is associated to.
- `isExternal` (boolean, optional) — True if this entity is coming from an external workspace (awork Connect).
- `accountId` (string, optional, nullable) — The account id of the user. Only used internally.

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

### 404 Not Found Error

Not Found

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

## Types

### UserStatus

The status of the user.

- `invitationAccepted` (boolean, optional) — Flag if the user in this workspace accepted the invitation.
- `isDeactivated` (boolean, optional) — Whether the user is deactivated.

### ContactInfo

The contact info are different types of contact information for a user.

- `label` (string, optional, nullable) — The label of the contact info. Only necessary if type 'custom' is used.
- `value` (string, optional, nullable) — The value of the contact info.
- `type` (string, optional, nullable) — The type of the contact info. Possible values are: phone, email, address, messenger, social, urls.
- `subType` (string, optional, nullable) — The subtype of the contact info, Possible values are: Phone: [ 'work', 'mobile', 'home', 'work Fax', 'fax', 'other' ] Email: [ 'work', 'private', 'other' ] address: [ 'work', 'home', 'other' ] Messenger: [ 'skype', 'whatsapp', 'other' ] social: [ 'facebook', 'twitter', 'xing', 'linkedIn', 'instagram', 'pinterest', 'other' ] urls: [ 'work', 'private', 'gitHub', 'other' ].
- `addressLine1` (string, optional, nullable) — The first Address line of the address.
- `addressLine2` (string, optional, nullable) — The second address line of the contact info.
- `zipCode` (string, optional, nullable) — The Zipcode of the contact info.
- `city` (string, optional, nullable) — The city of the contact info.
- `state` (string, optional, nullable) — The state of the contact info.
- `country` (string, optional, nullable) — The 2 letter iso code of the country.
- `isAddress` (boolean, optional) — Flags whether this contactinfo is an address or not. If its an address, the address fields are required.
- `id` (string, optional) — The Id of the contact info.
- `createdOn` (string, optional) — The creation date.
- `createdBy` (string, optional, nullable) — The id of the user who created the entity.
- `updatedOn` (string, optional) — The date when the entity was updated.
- `updatedBy` (string, optional, nullable) — the id of the user who updated the entity.

### UserTagModel

A tag model used for the user. Do not delete, we need to create copies of the tag model for each entity to avoid issues with Automapper.

- `id` (string, optional)
- `name` (string, optional, nullable) — The name of the tag.
- `color` (string, optional, nullable) — The color of the tag.

### TeamModel

- `id` (string, optional) — The id of the team.
- `name` (string, optional, nullable) — The name of the team.
- `icon` (string, optional, nullable) — The icon which is assigned to the team.
- `color` (string, optional, nullable) — The color of the team.

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "firstName": "Carla",
  "lastName": "Creative",
  "birthDate": "1998-04-19T00:00:000Z",
  "gender": "female",
  "title": "Miss",
  "position": "string",
  "language": "en-GB",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": {
    "invitationAccepted": true,
    "isDeactivated": true
  },
  "createdOn": "2024-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2024-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "isArchived": false,
  "isDeactivated": false,
  "deactivatedOn": "2024-01-15T09:30:00Z",
  "deletedOn": "2024-01-15T09:30:00Z",
  "hasImage": true,
  "shouldMigrateToConnect": true,
  "userContactInfos": [
    {
      "label": null,
      "value": null,
      "type": "address",
      "subType": "work",
      "addressLine1": "Torstrasse 140",
      "addressLine2": "Hof A",
      "zipCode": "10119",
      "city": "Berlin",
      "state": null,
      "country": "DE",
      "isAddress": true,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdOn": "2024-01-15T09:30:00Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedOn": "2024-01-15T09:30:00Z",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "resourceVersion": 637825154598057900,
  "tags": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Design",
      "color": "purple"
    }
  ],
  "teams": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Designers",
      "icon": "paintbrush",
      "color": "purple"
    }
  ],
  "isExternal": true,
  "accountId": "123e4567-e89b-12d3-a456-426614174000"
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/users/userId/setarchived"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/users/userId/setarchived';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/users/userId/setarchived"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/users/userId/setarchived")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.awork.com/api/v1/users/userId/setarchived")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.awork.com/api/v1/users/userId/setarchived', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/users/userId/setarchived");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/users/userId/setarchived")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```